#
# spec file for package dovecot-antispam (Version 1.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

BuildRequires:  dovecot12-devel

Name:           dovecot-antispam12
Version:        1.3
Release:        1.3
Group:          Productivity/Networking/Email/Servers
License:        GPL
Summary:        Dovecot antispam plugin
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://johannes.sipsolutions.net/Projects/dovecot-antispam
Source:         dovecot-antispam-%{version}.tar.bz2
Requires:       dspam
%requires_eq    dovecot12

%description
The  dovecot  antispam plugin watches a defined spam folder (defaults to
"SPAM"). It works together with a spam system that classifies each message as
it is delivered. When the message is classified as spam, it shall be delivered
to the spam folder, otherwise via the regular filtering  file  the user  may
have (maildrop, sieve, ...). Now the user has everything classified as spam in
the special spam folder, everything else where it should be sorted to.


Authors:
--------
    Johannes Berg
    Frank Cusack
    Benedikt Boehm
    Andreas Schneider

%prep
%setup -q -n dovecot-antispam-%{version}

%build
cat > .config << EOF
DOVECOT=/usr/include/dovecot
DOVECOT_VERSION=1.0
INSTALLDIR=%{_libdir}/dovecot/modules/imap/
BACKEND=dspam-exec
PLUGINNAME=antispam
CFLAGS=%{optflags}
EOF
%{__make}

%install
%__install -d -m 0755 %{buildroot}%{_libdir}/dovecot/modules/imap
%__install -m 0660 *.so %{buildroot}%{_libdir}/dovecot/modules/imap

%__install -d  -m 0755 %{buildroot}%{_mandir}/man7
%__install -m 0644 antispam.7 %{buildroot}%{_mandir}/man7

%clean
%{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc NOTES README COPYING
%{_libdir}/dovecot/modules/imap/*.so
%doc %{_mandir}/man?/antispam.*

%changelog
* Wed May 26 2010 anschneider@exsuse.de
- Updated to version 1.3
  * Bug and buildfixes.
* Wed Sep 30 2009 anschneider@exsuse.de
- Fixed permission and build.
* Wed Sep 30 2009 anschneider@exsuse.de
- Update to version 1.2
  * Support dovecot 1.2.
  * Bugfixes.
* Fri Mar 27 2009 anschneider@exsuse.de
- Require dovecot11 version.
* Thu Nov  6 2008 anschneider@suse.de
- Update to version 1.1
  * Fixed debugv() bugs
* Tue Oct 14 2008 anschneider@suse.de
- Create dovecot 1.0 and 1.1 version.
- Update to latest git version.
* Mon Jun 23 2008 anschneider@suse.de
- Update to latest git version.
* Wed Oct 31 2007 anschneider@suse.de
- Initial RPM
